
Ruby - Bug #849

--enable-shared で btest が動かない

12/11/2008 09:43 AM - ko1 (Koichi Sasada)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 2.0.0   

ruby -v:  Backport:  

Description

=begin

configure を --enable-shared でビルドすると，ロードパスが不完全なので

btest-ruby が走りません．

F...build/ruby: error while loading shared libraries: libruby.so.1.9: cannot open shared object file: No such file or directory

...

=end

Related issues:

Related to Ruby - Bug #804: Ruby 1.9.1 preview 2 : make test failure Closed 12/02/2008

Associated revisions

Revision 23f72026a46cd9ba64f249df4ec379d64952832b - 12/15/2008 01:00 AM - nobu (Nobuyoshi Nakada)

common.mk (btest-ruby): use RUNRUBY instead of MINIRUBY to load the

shared library.  [Bug #849]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@20740 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4d40c9508b22990008966700298236d672330b56 - 12/15/2008 01:00 AM - nobu (Nobuyoshi Nakada)

common.mk (btest-ruby): use RUNRUBY instead of MINIRUBY to load the

shared library.  [Bug #849]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_1@20740 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 23f72026a46cd9ba64f249df4ec379d64952832b - 12/15/2008 01:00 AM - nobu (Nobuyoshi Nakada)

common.mk (btest-ruby): use RUNRUBY instead of MINIRUBY to load the

shared library.  [Bug #849]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@20740 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4d40c9508b22990008966700298236d672330b56 - 12/15/2008 01:00 AM - nobu (Nobuyoshi Nakada)

common.mk (btest-ruby): use RUNRUBY instead of MINIRUBY to load the

shared library.  [Bug #849]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_1@20740 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 23f72026 - 12/15/2008 01:00 AM - nobu (Nobuyoshi Nakada)

common.mk (btest-ruby): use RUNRUBY instead of MINIRUBY to load the

shared library.  [Bug #849]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@20740 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 4d40c950 - 12/15/2008 01:00 AM - nobu (Nobuyoshi Nakada)

common.mk (btest-ruby): use RUNRUBY instead of MINIRUBY to load the

shared library.  [Bug #849]
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_1@20740 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/11/2008 11:13 AM - yugui (Yuki Sonoda)

- Target version set to 1.9.1 Release Candidate

=begin

=end

#2 - 12/13/2008 05:20 PM - yugui (Yuki Sonoda)

- Target version changed from 1.9.1 Release Candidate to 2.0.0

=begin

=end

#3 - 12/15/2008 10:07 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

Applied in changeset r20740.

=end
